### Struct

# AppStreamCompose IconPolicyIter

since: 1.0

#### Description [src]

    struct AscIconPolicyIter {
      /* No available fields */
    }

A `AscIconPolicyIter` structure represents an iterator that can be used to iterate over the icon sizes / policy entries of an `AscIconPolicy`. `AscIconPolicyIter` structures are typically allocated on the stack and then initialized with asc_icon_policy_iter_init().

Available since: 1.0

#### Instance methods

###### asc_icon_policy_iter_init

Initializes a policy iterator for the policy entry list and associates it it with `ipolicy`. The `AscIconPolicyIter` structure is typically allocated on the stack and does not need to be freed explicitly.

since: 1.0

###### asc_icon_policy_iter_next

Returns the current icon policy entry and advances the iterator. Example:

since: 1.0